package shapeUtil;

public class ConnectionContainer{
    String id="";
    int depth=0;
    Connection connection=null;
    Connection initialConnection=null;
    //Vector2D direction=null;

    public ConnectionContainer(String id, int depth, Connection connection){
        this.id=id;
        this.depth=depth;
        this.connection=connection;
        this.initialConnection=(Connection)connection.clone();
    }

    public String getId(){
        return this.id;
    }

    public int getDepth(){
        return this.depth;
    }

    public Connection getConnection(){
        return this.connection;
    }

    public Connection getInitialConnection(){
        return this.initialConnection;
    }

    public String toString(){
        String str="ConnectionContainer";
        str+=" , depth="+this.depth+" , connection="+this.connection.toString();
        return str;
    }
}